%define qtdir %{_prefix}/lib/qt-1.45
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdedir /usr/lib/kde1-compat

Name: kde1-compat
Icon: kde-icon.xpm
Summary: Compatibility libraries for the K Desktop Environment (KDE) 1.1.x.
Version: 1.1.2
Release: 8
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdelibs-%{version}.tar.bz2
Source1: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdesupport-%{version}.tar.bz2
Source2: kdoc-snapshot.tar.gz
Source3: icons.tar.bz2
Patch0: kdelibs-1.1.2-iconpaths.patch
Patch1: kdelibs-1.1.2-redhat.patch
Patch2: kdelibs-1.1.2-fixdebug.patch
Group: System Environment/Libraries
%ifnarch ia64
BuildPrereq: compat-egcs-c++, autoconf, automake, libtool, qt1x-devel
%else
BuildPrereq: autoconf, automake, libtool, qt1x-devel
%endif
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}
Prefix: %{kdedir}
Requires: qt1x

%description
Compatibility libraries for running KDE 1.1.x applications.

The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains libraries for KDE, including:
kdecore, the core library for KDE; kdeui, the user interface library;
kfm, the file manager library, khtmlw, the HTML widget library; kfile,
the file access library; kspell, the spelling checker library;
jscript, the JavaScript library; kab, the addressbook library; kimgio,
an image manipulation library; and mediatool, a library for sound,
mixing and animation.

Install kde1-compat if you need to run applications that were written for
KDE 1.x.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt1x-devel kde1-compat = %{version}

%description devel
The kde1-compat-devel package includes the header files needed to compile
applications for the K Desktop Environment (KDE) 1.1.2.  This package also
includes the KDE Application Programming Interface (API) documentation
in HTML format for easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdelibs -a 1 -a 2
%patch0 -p1 -b .iconpaths
%patch1 -p1 -b .redhat
%patch2 -p1 -b .fixdebug

%build
export QTDIR=%{qtdir}
export KDEDIR=%{kdedir}

cd kdesupport
# All we need from kdesupport is libQwSpriteField.
make -f Makefile.cvs
cp /usr/share/libtool/config.{sub,guess} admin

%ifnarch ia64
export CXX="egcs++ -L/usr/lib -L/usr/lib/qt-1.45/lib"
export CC="egcs -L/usr/lib -L/usr/lib/qt-1.45/lib -I/usr/include/kde1"
export LDFLAGS="-L/usr/lib -L/usr/lib/qt-1.45/lib"
%endif

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
        ./configure --prefix=%{prefix} \
                    --without-libjpeg --without-libgif --without-libgdbm \
                    --without-libmimelib --without-libuulib \
                    --with-libsprite-field
make
cd ..

make -f Makefile.cvs
cp /usr/share/libtool/config.{sub,guess} admin

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
	./configure --prefix=%{prefix} %{_arch}-redhat-linux
make

cd kdoc
make -f Makefile.cvs
./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT

make

# generate documentation
chmod +x kdoc && perl -pi -e \
	"s|/usr/local/bin/perl|/usr/bin/perl|g" kdoc

export PERLLIB=`pwd`:$PERLLIB
export PATH=`pwd`:$PATH
pushd ..
export DIR=`pwd`
popd
perl ./qt2kdoc \
	-u %{_docdir}/qt1x-devel-1.*  \
	-o $DIR \
	-z %{_docdir}/qt1x-devel-1.*
perl ./makekdedoc \
	--outputdir=$DIR/srcdoc \
	--srcdir=$DIR \
	-L $DIR

%install
rm -rf $RPM_BUILD_ROOT

make -C kdesupport install-strip DESTDIR=$RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}

rm -rf $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/apps/kab $RPM_BUILD_ROOT/usr/lib/*.la
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

make -C kdoc install DESTDIR=$RPM_BUILD_ROOT
strip --strip-unneeded -R .comment $RPM_BUILD_ROOT%{prefix}/lib/*.so*

mkdir -p $RPM_BUILD_ROOT/usr/lib
pushd $RPM_BUILD_ROOT/usr/lib
for i in kde1-compat/lib/*.so.*; do
  ln -nfs $i .
done
popd

mkdir -p $RPM_BUILD_ROOT/usr/include
pushd $RPM_BUILD_ROOT/usr/include
ln -nfs ../lib/kde1-compat/include kde1
popd

perl -pi -e "s,^libdir='/usr/lib',libdir='/usr/lib/kde1-compat/lib',g" $RPM_BUILD_ROOT/usr/lib/kde1-compat/lib/*.la

mkdir -p $RPM_BUILD_ROOT/usr/bin/
cat << EOF > $RPM_BUILD_ROOT/usr/bin/kdehelp
#!/bin/sh
[ -x /usr/bin/kfmclient ] && [ "f\$1" != "f" ] && /usr/bin/kfmclient openURL "file:\$1"
EOF

bzip2 -dc %{SOURCE3} | tar -C $RPM_BUILD_ROOT/%{prefix}/share -xf -  

%find_lang kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kde.lang
%defattr(-,root,root)
%attr(0755,root,root) /usr/bin/kdehelp
%dir %{prefix}/bin
%dir %{prefix}/lib
%dir %{prefix}/share
%{prefix}/lib/*.so.*
%{prefix}/share/apps
%{prefix}/share/config
%{prefix}/share/icons
%{prefix}/share/doc
%{prefix}/share/toolbar
/usr/lib/*so.*

%files devel
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/include
%{prefix}/lib/*.la
%{prefix}/lib/*.so
%{prefix}/lib/*.a
%{prefix}/share/kdoc
/usr/include/kde1
%doc srcdoc/*

%changelog
* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- require qt1x, and make devel depend on main package

* Sun Dec 24 2000 Than Ngo <than@redhat.com>
- fixed kiconload for loading KDE1 icons
- added missing KDE1 icons
- fixed wrong KDE1 include path
- clean up specfile

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- fixed symbolic links

* Fri Dec 8 2000 Than Ngo <than@redhat.com>
- fixed for building on ia64

* Tue Nov 21 2000 Than Ngo <than@redhat.com>
- fixed conflicts with kdoc-2.0-5 (bug #21117)

* Tue Nov 14 2000 Than Ngo <than@redhat.com>
- fix up kde1 so that kdevelop works now.

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the libtool files in -devel

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- "Steal" Mandrake's modifications to the package
- Use the compat compiler for compat packages

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add libQwSpriteField from kdesupport 1.1.2 (the other kdesupport stuff
  comes from kdesupport 2.x - no incompatible changes there)
- restore development package

* Sun Jun 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- turn it into a compat package

* Sat Jun 03 2000 Bill Nottingham <notting@redhat.com>
- autoconf tweaks for ia64

* Sat Jun 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- The optimization bug is x86 specific - don't use O0 on other arches
- fix up install location

* Thu Jun 01 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use -O0 to work around gcc bugs; this should be reverted ASAP.
- some cleanups to spec file

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- rebuild for 7.0
- use DESTDIR for install

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir to %{_prefix}/doc/kde, dropped because of configure macro error.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- remove some debug output from KCharset class

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- modify readBoolEntry to accept "1" in addition to "true" and "on"
  for backwards compatibility (Terminal= is now bool; used to be
  string 0 or 1)

* Fri Feb  4 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- make relocatable

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH
- Make use of BuildPrereq
- kdelibs-devel requires kdesupport-devel
- rebuild in 6.2 environment (Qt 1.45)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to %{_prefix}/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and %{_prefix}/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use %{_prefix}/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to %{_prefix}/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane








